Download it now!
Bug 59867 - Windows 8 assigned an LCID to Catalan Valencian
Summary: Windows 8 assigned an LCID to Catalan Valencian
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:4.1.0 target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-25 21:44 UTC by Andras Timar
Modified: 2013-09-04 10:45 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2013-01-25 21:44:44 UTC
In Windows 8 LCID of Catalan Valencian (ca-ES-valencia) is 0x0803. In LibreOffice we use 0x8003, a user defined value.
Comment 1 Eike Rathke 2013-01-25 22:47:46 UTC
One more reason for BCP 47 language tags..
Comment 2 Commit Notification 2013-03-12 10:13:47 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6cab11aad8fa514cd27b49f095a41fc6110b15cf

fdo#59867 set correct LCID for Catalan Valencian in Windows installer



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 jmontane 2013-08-25 21:27:38 UTC
I've tested with LibreOffice 4.1.0 under Windows 8 with Valencian (ca-ES-valencia) locale. All works fine. LibreOffice installer looks in Valencian.
Comment 4 Commit Notification 2013-09-04 10:39:52 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d4cd0751516631bcd5c6fabf1eb07d64bb72f17

renamed ca-XV to ca-valencia and activated ca-ES-valencia, fdo#59867 related



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.